Bug 1086732

Summary: fwupd coring
Product: [openSUSE] openSUSE Tumbleweed Reporter: Jon Nelson <jnelson-suse>
Component: OtherAssignee: Josef Möllers <josef.moellers>
Status: RESOLVED FIXED QA Contact: E-mail List <qa-bugs>
Severity: Normal    
Priority: P5 - None CC: antoine.belvire, victor.zhestkov
Version: Current   
Target Milestone: ---   
Hardware: Other   
OS: Other   
Whiteboard:
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Jon Nelson 2018-03-24 15:20:47 UTC
Mar 24 10:16:41 localhost.localdomain systemd[1]: Starting Firmware update daemon...
Mar 24 10:16:41 localhost.localdomain fwupd[8225]: disabling plugin because: failed to startup dell: Firmware updating not supported
Mar 24 10:16:41 localhost.localdomain fwupd[8225]: disabling plugin because: failed to coldplug amt: Unable to find a ME interface
Mar 24 10:16:41 localhost.localdomain fwupd[8225]: disabling plugin because: failed to coldplug raspberrypi: Raspberry PI firmware updating not supported, no /boot/start.elf
Mar 24 10:16:41 localhost.localdomain fwupd[8225]: disabling plugin because: failed to coldplug synapticsmst: MST firmware updating not supported by OEM
Mar 24 10:16:41 localhost.localdomain fwupd[8225]: disabling plugin because: failed to coldplug thunderbolt_power: missing kernel support for intel-wmi-thunderbolt
Mar 24 10:16:41 localhost.localdomain fwupd[8225]: free(): invalid pointer
Mar 24 10:16:42 localhost.localdomain systemd[1]: fwupd.service: Main process exited, code=dumped, status=6/ABRT
Mar 24 10:16:42 localhost.localdomain systemd[1]: fwupd.service: Failed with result 'core-dump'.
Mar 24 10:16:42 localhost.localdomain systemd[1]: Failed to start Firmware update daemon.

Fu-Message: 10:19:42.570: disabling plugin because: failed to startup dell: Firmware updating not supported
[New Thread 0x7fffea2f8700 (LWP 8337)]
Fu-Message: 10:19:42.575: disabling plugin because: failed to coldplug amt: Unable to find a ME interface
Fu-Message: 10:19:42.575: disabling plugin because: failed to coldplug raspberrypi: Raspberry PI firmware updating not supported, no /boot/start.elf
Fu-Message: 10:19:42.587: disabling plugin because: failed to coldplug synapticsmst: MST firmware updating not supported by OEM
Fu-Message: 10:19:42.587: disabling plugin because: failed to coldplug thunderbolt_power: missing kernel support for intel-wmi-thunderbolt
free(): invalid pointer

Thread 1 "fwupd" received signal SIGABRT, Aborted.
0x00007ffff54e99eb in raise () from /lib64/libc.so.6
(gdb) bt
#0  0x00007ffff54e99eb in raise () at /lib64/libc.so.6
#1  0x00007ffff54eada1 in abort () at /lib64/libc.so.6
#2  0x00007ffff552cc87 in __libc_message () at /lib64/libc.so.6
#3  0x00007ffff553329a in  () at /lib64/libc.so.6
#4  0x00007ffff553714e in  () at /lib64/libc.so.6
#5  0x00007fffebf995a4 in token_is_bool () at /usr/lib64/libsmbios_c.so.2
#6  0x00007fffebd7588b in fwup_esrt_disabled () at /usr/lib64/libfwup.so.1
#7  0x00007fffebd75a98 in fwup_supported () at /usr/lib64/libfwup.so.1
#8  0x00007fffea714458 in fu_plugin_coldplug () at /usr/lib64/fwupd-plugins-3/libfu_plugin_uefi.so
#9  0x000055555557948c in fu_plugin_runner_coldplug ()
#10 0x0000555555569c4c in  ()
#11 0x0000555555570111 in fu_engine_load ()
#12 0x0000555555564343 in main ()
(gdb) 


If I disable the uefi plugin manually, it starts.
Comment 1 Antoine Belvire 2018-03-24 16:29:10 UTC
Update to libsmbios 2.4.1 may fix this issue (https://build.opensuse.org/request/show/590769).
Comment 2 Victor Zhestkov 2018-03-26 13:52:16 UTC
Probably the same issue.
Here is the backtrace from my system.
#0  0x00007f951a1f69eb in raise () from /lib64/libc.so.6
#1  0x00007f951a1f7da1 in abort () from /lib64/libc.so.6
#2  0x00007f951a239c87 in __libc_message () from /lib64/libc.so.6
#3  0x00007f951a24029a in malloc_printerr () from /lib64/libc.so.6
#4  0x00007f951a241aac in _int_free () from /lib64/libc.so.6
#5  0x00007f9511db35a4 in token_is_bool () from /usr/lib64/libsmbios_c.so.2
#6  0x00007f9511b8f88b in fwup_esrt_disabled () from /usr/lib64/libfwup.so.1
#7  0x00007f9511b8fa98 in fwup_supported () from /usr/lib64/libfwup.so.1
#8  0x00007f951066f911 in fu_plugin_startup (plugin=0x565467f754f0, error=0x7ffdc9ac7878) at ../plugins/uefi/fu-plugin-uefi.c:703
#9  0x00005654661136ac in fu_plugin_runner_startup (plugin=plugin@entry=0x565467f754f0, error=error@entry=0x7ffdc9ac7878)
    at ../src/fu-plugin.c:790
#10 0x000056546610a21f in fu_engine_plugins_setup (self=0x565467f22860) at ../src/fu-engine.c:2925
#11 fu_engine_load (self=0x565467f22860, error=0x7ffdc9ac78f8) at ../src/fu-engine.c:3544
#12 0x00005654660fe423 in main (argc=<optimized out>, argv=<optimized out>) at ../src/fu-main.c:1088


I've disabled dell plugin failed to startup, but it's still crashing.

Fu-Message: 16:52:05.061: disabling plugin because: failed to startup dell: Firmware updating not supported
free(): invalid pointer
Aborted (core dumped)
Comment 3 Antoine Belvire 2018-03-26 19:57:01 UTC
You can both try libsmbios 2.4.1 to check that it fixes you issue.

 zypper ar -f obs://home:1Antoine1:boo1086732/openSUSE_Factory boo1086732
 zypper in --from boo1086732 libsmbios2
Comment 4 Victor Zhestkov 2018-03-27 08:01:52 UTC
I updated libsmbios2 to libsmbios2-2.4.1-52.3.x86_64 from https://download.opensuse.org/repositories/Base:/System/openSUSE_Factory/
Now it works fine. The previous version from this repo creashed.
Comment 5 Josef Möllers 2018-04-04 13:54:46 UTC
Fixed implicitly by upgrading to version 2.4.1
see https://build.opensuse.org/request/show/593551